Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt

From: Rakesh Gandhi <[email-masked]>
Date: Mon, 3 May 2021 12:42:44 -0400

Hi WG,
This revision contains following updates:

   - Welcome Richard as a co-author
   - Merge Segment List Sub-TLVs
   - Various editorial changes

Welcome your review comments and suggestions.

Thanks,
Rakesh (for co-authors)

On Thu, Apr 29, 2021 at 7:03 PM <[email-masked]> wrote:

>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the IP Performance Measurement WG of the IETF.
>
>         Title           : Simple TWAMP (STAMP) Extensions for Segment
> Routing Networks
>         Authors         : Rakesh Gandhi
>                           Clarence Filsfils
>                           Daniel Voyer
>                           Mach(Guoyi) Chen
>                           Bart Janssens
>                           Richard Foote
>         Filename        : draft-gandhi-ippm-stamp-srpm-03.txt
>         Pages           : 12
>         Date            : 2021-04-29
>
> Abstract:
>    Segment Routing (SR) leverages the source routing paradigm.  SR is
>    applicable to both Multiprotocol Label Switching (SR-MPLS) and IPv6
>    (SRv6) data planes.  This document specifies RFC 8762 (Simple Two-Way
>    Active Measurement Protocol (STAMP)) extensions for SR networks, for
>    both SR-MPLS and SRv6 data planes by augmenting the optional
>    extensions defined in RFC 8972.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-gandhi-ippm-stamp-srpm/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-gandhi-ippm-stamp-srpm-03
> https://datatracker.ietf.org/doc/html/draft-gandhi-ippm-stamp-srpm-03
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-gandhi-ippm-stamp-srpm-03
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
>
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm
>

---

From: Tommy Pauly <[email-masked]>
Date: Fri, 07 May 2021 13:42:44 -0700

Hi IPPM,

This draft has been discussed and debated at length before, and the chairs would like to get input from the WG on their thoughts on this version of the document and its direction. Given the interaction with other working groups, we’d like to make progress on this in a timely fashion.

Please do send your thoughts and feedback to the list, particularly if you support this work, or if you have concerns new or existing.

Best,
Tommy

> On May 3, 2021, at 9:42 AM, Rakesh Gandhi <[email-masked]> wrote:
> 
> Hi WG,
> Welcome Richard as a co-author
> Merge Segment List Sub-TLVs
> Various editorial changes
> 
> On Thu, Apr 29, 2021 at 7:03 PM <[email-masked] <mailto:[email-masked]>> wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>         Title           : Simple TWAMP (STAMP) Extensions for Segment Routing Networks
>         Authors         : Rakesh Gandhi
>                           Clarence Filsfils
>                           Daniel Voyer
>                           Mach(Guoyi) Chen
>                           Bart Janssens
>                           Richard Foote
> https://datatracker.ietf.org/doc/draft-gandhi-ippm-stamp-srpm/ <https://datatracker.ietf.org/doc/draft-gandhi-ippm-stamp-srpm/>
> 
> https://tools.ietf.org/html/draft-gandhi-ippm-stamp-srpm-03 <https://tools.ietf.org/html/draft-gandhi-ippm-stamp-srpm-03>
> https://datatracker.ietf.org/doc/html/draft-gandhi-ippm-stamp-srpm-03 <https://datatracker.ietf.org/doc/html/draft-gandhi-ippm-stamp-srpm-03>
> 
> https://www.ietf.org/rfcdiff?url2=draft-gandhi-ippm-stamp-srpm-03 <https://www.ietf.org/rfcdiff?url2=draft-gandhi-ippm-stamp-srpm-03>
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org/>.
> 
> ftp://ftp.ietf.org/internet-drafts/ <ftp://ftp.ietf.org/internet-drafts/>
> 
> 
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/ippm <https://www.ietf.org/mailman/listinfo/ippm>

---

From: "Foote, Footer (Nokia - CA)" <[email-masked]>
Date: Fri, 7 May 2021 21:44:43 +0000

Hi IPPM!

As a recent co-author, I feel this work introduces some benefits that should be considered.  This draft leverages the flexibility introduced by Simple Two-Way Active Measurement Protocol Optional Extensions [RFC8972] adding specific uses cases for Segment Routing IPv6 (SRv6) and Segment Routing MPLS (SR-MPLS) networks looking to use STAMP.  The TLVs introduced by this draft allow for instruction based messaging between the STAMP session-sender and STAMP session-reflector to influence the return path, for end to end measurement, including a SR MPLS Label Stack and SRv6 Segment List.  These optional extension allow for the one-way forward and one-way backward delay measurements to represent the same collection of links and nodes between the STAMP session-sender and STAMP session-reflector in each directions.  It also introduces the ability to instruct the STAMP session-reflector to utilize the same link between directly connected IP peers.  This also allows for the STAMP session-reflector to skip the global route lookup, if that is the preferred method to determine return next-hop, to ensure the same directly connected IP link is used in both directions, and not some other link that is of each cost.

I believe it important to leverage and grow the work done by Simple Two-Way Active Measurement Protocol Optional Extensions [RFC8972] to make use of STAMP in different environments, in this case Segment Routing.

Have a great weekend.

Footer

From: ippm <[email-masked]> On Behalf Of Tommy Pauly
Sent: Friday, 7 May 2021 16:43
To: IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt

Hi IPPM,

Best,
Tommy

On May 3, 2021, at 9:42 AM, Rakesh Gandhi <[email-masked]<mailto:[email-masked]>> wrote:

Hi WG,

  *   Welcome Richard as a co-author
  *   Merge Segment List Sub-TLVs
  *   Various editorial changes

Thanks,
Rakesh (for co-authors)

On Thu, Apr 29, 2021 at 7:03 PM <[email-masked]<mailto:[email-masked]>> wrote:

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org/>.

_______________________________________________
ippm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ippm
_______________________________________________
ippm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ippm

---

From: Mach Chen <[email-masked]>
Date: Sat, 8 May 2021 03:17:24 +0000

Indeed, I agree with Footer and think that the draft is ready for WG adoption.

Best regards,
Mach

From: ippm [mailto:[email-masked]] On Behalf Of Foote, Footer (Nokia - CA)
Sent: Saturday, May 8, 2021 5:45 AM
To: Tommy Pauly <tpauly=[email-masked]>; IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt

Hi IPPM!

Have a great weekend.

Footer

From: ippm <[email-masked]<mailto:[email-masked]>> On Behalf Of Tommy Pauly
Sent: Friday, 7 May 2021 16:43
To: IETF IPPM WG <[email-masked]<mailto:[email-masked]>>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt

Hi IPPM,

Best,
Tommy

Hi WG,

·         Welcome Richard as a co-author

·         Merge Segment List Sub-TLVs

·         Various editorial changes

Thanks,
Rakesh (for co-authors)

Abstract:

---

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Mon, 10 May 2021 01:52:56 +0000

Yes, support. The document has been discussed for a long time, and major issues have been addressed, I think the content is mature and ready for WG adoption.

Thanks,
Cheng

From: Tommy Pauly [mailto:tpauly=[email-masked]]
Sent: Saturday, May 8, 2021 4:44 AM
To: IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt

Hi IPPM,

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

---

From: "Ahmed Abdelsalam (ahabdels)" <[email-masked]>
Date: Mon, 10 May 2021 09:31:57 +0000

I support the WG of the draft as all major feedback have been addressed.
Thanks
Ahmed

From: ippm <[email-masked]> on behalf of Tommy Pauly <tpauly=[email-masked]>
Date: Friday, 7 May 2021 at 22:43
To: IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt

Hi IPPM,

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

---

From: "Voyer, Daniel" <[email-masked]>
Date: Mon, 10 May 2021 12:59:26 +0000

Hi Tommy and WG,

As a co-authors, I support this work. This is an important document for telemetry and latency gathering for our network.

Thanks
dan

From: Tommy Pauly <tpauly=[email-masked]>
Date: Friday, May 7, 2021 at 4:43 PM
To: IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt

Hi IPPM,

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

---

From: "Wangyali(Yali,Data Communication Standards and Patents Dept)" <[email-masked]>
Date: Mon, 10 May 2021 15:07:24 +0000

Hi Tommy and WG,

I support this work. It’s definitely useful that this draft proposes a method to apply STAMP to SR-MPLS and SRv6. It also solves the problem of round-trip path co-routing by using the Return Path TLV to determine the reverse path.

The draft has been fully discussed in WG. I think it’s ready to be adopted by WG.

Best,
Yali

From: ippm [mailto:[email-masked]] On Behalf Of Tommy Pauly
Sent: Saturday, May 8, 2021 4:43 AM
To: IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt

Hi IPPM,

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

---

From: "Yadav, Bhupendra" <[email-masked]>
Date: Tue, 11 May 2021 01:42:23 +0000

Hi WG,

I support this draft and appriciate the work being done on it.

Thanks,
Bhupendra

On May 7, 2021, at 16:43, Tommy Pauly <tpauly=[email-masked]<mailto:tpauly=[email-masked]>> wrote:

Hi IPPM,

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

---

From: "Vengada Prasad Govindan (venggovi)" <[email-masked]>
Date: Tue, 11 May 2021 06:38:20 +0000

Hello IPPM WG & Chairs,
  Support progressing draft-gandhi-ippm-stamp-srpm, it provides the needed standardization to extend STAMP to SR.

Thanks
Prasad

From: Tommy Pauly <tpauly=[email-masked]>
Sent: Saturday, May 8, 2021 02:14
To: IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt

Hi IPPM,

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

---

From: "Janssens, Bart" <[email-masked]>
Date: Tue, 11 May 2021 11:13:28 +0000

Hi IPPM WG,

As a key use case draft SP contributor/future usage within Colt Technology Services we’re pleased with the direction and fully support adoption of the new version to move forward in a timely fashion.
For Colt especially below add is key.

Best Regards,
Bart Janssens

It may be desired in SR network that the same path (same set of links and nodes) between the Session-
Sender and Session-Reflector is used for the STAMP test packets in
both directions.  This is achieved by using the STAMP [RFC8762]
extensions for SR-MPLS and SRv6 networks specified in this document
by augmenting the optional extensions defined in [RFC8972].

From: Tommy Pauly <tpauly=[email-masked]>
Sent: Friday, May 7, 2021 10:44 PM
To: IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt

Hi IPPM,

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

[Colt Disclaimer] This email is from an entity of the Colt group of companies. Colt Group Holdings Limited, Colt House, 20 Great Eastern Street, London, EC2A 3EH, United Kingdom, registered in England and Wales, under company number 11530966. Corporate and contact information for our entities can be found at https://www.colt.net/legal/colt-group-of-companies/. Internet communications are not secure and Colt does not accept responsibility for the accurate transmission of this message. Content of this email or its attachments is not legally or contractually binding unless expressly previously agreed in writing by Colt

---

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Tue, 11 May 2021 13:20:58 +0000

Hi,

I support this work. The latest revision looks good, and I believe is ready to be adopted.
This draft provides important simple twamp extensions for segment routing.

Thanks,
Pablo.

From: Tommy Pauly <tpauly=[email-masked]>
Sent: viernes, 7 de mayo de 2021 22:44
To: IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt

Hi IPPM,

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Tue, 11 May 2021 13:30:06 +0000

Dear chairs and the WG,

I looked at the latest version of the draft.
I believe it addresses all the comments received and is ready for WG adoption.

The draft provides a building block for segment routing (SR-MPLS and SRv6) work in Spring WG.
I support this work.

Thanks

Regards … Zafar

Hi IPPM,

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

---

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Tue, 11 May 2021 13:54:05 +0000

Hi WG,

As a co-author, I support the WG adoption of this draft that builds on the foundation laid by the IPPM WG by defining Simple TWAMP RFC 8762 and its extensions RFC 8972.

This will also unblock the adoption of draft-gandhi-spring-stamp-srpm-06 that uses this work for SR/SRv6 use-cases.

Many thanks to the WG for providing valuable review comments. We believe the latest draft addresses those comments.

Thanks,

Rakesh

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Wed, 12 May 2021 15:24:36 +0000

Hello All,

Thanks to the authors for updating this document. The clean-up of terminologies and the focus on STAMP extensions simplifies the proposal even further.

I would also like to restate that STAMP is really a very suitable mechanism for Performance Measurement for SR Policies in a Segment Routing network. The key aspect is that there is no instantiation of a per-path state required at either the waypoint nodes nor at the tail-end node and the source routed path along with the desired PM capabilities for it are instantiated only on the SR Headend node.

I support this important and much required work on the STAMP extensions in this WG and the work for leveraging STAMP that is happening in the SPRING WG.

Thanks,
Ketan

Sent: 08 May 2021 02:14

Hi IPPM,

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

---

From: "Srihari Raghavan (srihari)" <[email-masked]>
Date: Thu, 13 May 2021 03:41:46 +0000

Hello All,

As an enthusiast following SR work, I see value in extending STAMP to SR and hence progressing draft-gandhi-ippm-stamp-srpm is in the right direction.

Thanks
Srihari

From: Tommy Pauly <tpauly=[email-masked]>
Date: Saturday, 8 May 2021 at 2:13 AM
To: IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt

Hi IPPM,

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

---

From: "[email-masked]" <[email-masked]>
Date: Thu, 13 May 2021 12:18:36 +0800

Hello Tommy and All,

I believe this work is useful, especially the way to direct the session-reflector to reflect the test packets along a specific path, which can be the reverse path from session-sender to session-reflector, or an explicit path specified in segment list sub TLV.

I wonder there are security problems redarding the return address sub tlv since this feature can be used to direct the test packets to a malicious node indicated by the return address. This feature may also be used to direct a group of session-reflectors to send their test packets to a target node indicated by the return address to enforce DDOS attack to the target. Security Considerations should take these into account.

BTW, is this an adoption call for this draft?

Best Regards,
Zhenqiang Li

[email-masked]
 
From: Tommy Pauly
Date: 2021-05-08 04:42
To: IETF IPPM WG

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

---

From: Reshad Rahman <[email-masked]>
Date: Fri, 14 May 2021 14:18:09 -0400

Hi,

The work is needed for SR,  and the document seems to be technically sound. So I do support “progressing” this document.

I also want to reiterate that most of the extensions aren’t SR-specific, so it’s possible that some of these extensions could be used for non-SR networks.

Regards,

Reshad.

Hi IPPM,

Best,

Tommy

Hi WG,

Thanks,

Rakesh (for co-authors)

Abstract:

---

From: "MORTON JR., AL" <[email-masked]>
Date: Tue, 18 May 2021 22:17:37 +0000

Hi Tommy and IPPM,

There seems like good support for taking-up this draft already, so I’ll add a few comments/questions.

In the *second sentence*, 😊

SR is applicable to both Multiprotocol Label Switching (SR-
   MPLS) and IPv6 (SRv6) data planes [RFC8402<https://datatracker.ietf.org/doc/html/rfc8402>].
                       ^^^^^^^^^^
Forwarding planes or control planes seems more correct at this point in the description.
Yes, I understand that we will be measuring the IP path, but that happens after
introducing SR and RFC 8402.

In section 3, at the end  (where the draft handles a test packet reaching the wrong destination):

   ... The STAMP Session-Reflector that supports

   this TLV, MUST NOT transmit reply test packet if it is not the

   intended destination node of the received Session-Sender test packet.

I think it would be more operationally sound to reply with an “Error: wrong destination” indication
(maybe just for a few packets) when the Destination Node Address TLV doesn’t match, rather than
black-holing the test packets with no feedback. This must have been a problem that is prevalent-
enough to warrant the Destination Node Address TLV to protect measurement integrity. I’m just
suggesting that we help the test org when we can.

The rest looks ok to me at the moment. Thanks for a good effort, authors!
Al

From: ippm <[email-masked]> On Behalf Of Tommy Pauly
Sent: Friday, May 7, 2021 4:43 PM
To: IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt

Hi IPPM,

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-gandhi-ippm-stamp-srpm/<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-gandhi-ippm-stamp-srpm/__;!!BhdT!3G9e0gVbqR-U1_DXAkMexECpUR-T0SkaBKPrisL66T_y_wod9mGnRjTFCb9V$>

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-gandhi-ippm-stamp-srpm-03<https://urldefense.com/v3/__https:/tools.ietf.org/html/draft-gandhi-ippm-stamp-srpm-03__;!!BhdT!3G9e0gVbqR-U1_DXAkMexECpUR-T0SkaBKPrisL66T_y_wod9mGnRjVY2APL$>
https://datatracker.ietf.org/doc/html/draft-gandhi-ippm-stamp-srpm-03<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/html/draft-gandhi-ippm-stamp-srpm-03__;!!BhdT!3G9e0gVbqR-U1_DXAkMexECpUR-T0SkaBKPrisL66T_y_wod9mGnRtQTf63g$>

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-gandhi-ippm-stamp-srpm-03<https://urldefense.com/v3/__https:/www.ietf.org/rfcdiff?url2=draft-gandhi-ippm-stamp-srpm-03__;!!BhdT!3G9e0gVbqR-U1_DXAkMexECpUR-T0SkaBKPrisL66T_y_wod9mGnRnAt9rKc$>

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<https://urldefense.com/v3/__http:/tools.ietf.org/__;!!BhdT!3G9e0gVbqR-U1_DXAkMexECpUR-T0SkaBKPrisL66T_y_wod9mGnRp_qDpwP$>.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/<https://urldefense.com/v3/__ftp:/ftp.ietf.org/internet-drafts/__;!!BhdT!3G9e0gVbqR-U1_DXAkMexECpUR-T0SkaBKPrisL66T_y_wod9mGnRp4yrs_L$>

_______________________________________________
ippm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ippm<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/ippm__;!!BhdT!3G9e0gVbqR-U1_DXAkMexECpUR-T0SkaBKPrisL66T_y_wod9mGnRnJ73ayt$>
_______________________________________________
ippm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ippm<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/ippm__;!!BhdT!3G9e0gVbqR-U1_DXAkMexECpUR-T0SkaBKPrisL66T_y_wod9mGnRnJ73ayt$>

---

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Fri, 21 May 2021 17:16:09 +0000

Hi Al,
Many thanks for the review. Please see replies inline with <RG>…

From: ippm <[email-masked]> on behalf of MORTON JR., AL <[email-masked]>
Date: Tuesday, May 18, 2021 at 6:18 PM
To: Tommy Pauly <tpauly=[email-masked]>, IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt
Hi Tommy and IPPM,

<RG> Ok to change this in the next revision.

<RG> Ok to add this in the next revision.

<RG> Many thanks.

Regards,
Rakesh

Al

Hi IPPM,

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract:

---

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Tue, 25 May 2021 23:35:03 +0000

Hi Zhenqiang,

Thanks for your review comments. Please see inline with <RG>..

From: ippm <[email-masked]> on behalf of [email-masked] <[email-masked]>
Date: Thursday, May 13, 2021 at 12:18 AM
To: Tommy Pauly <tpauly=[email-masked]>, ippm <[email-masked]>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt
Hello Tommy and All,

<RG> Thanks.

<RG> Agree. Following text was proposed in another email thread.

“The STAMP extensions defined in this document may be used for
   potential "proxying" attacks.  For example, a Session-Sender
   may specify a return path that has a destination different from that
   of the Session-Sender.  But normally, such attacks will not happen in an
   SR domain where the Session-Senders and Session-Reflectors belong to the same
   domain.  In order to prevent using the extension defined
   in this document for proxying any possible attacks, the return path
   has destination to the same node where the forward path
   is from.“

Welcome your review comments.
Thanks,
Rakesh

Best Regards,
Zhenqiang Li
________________________________
[email-masked]

From: Tommy Pauly<mailto:tpauly=[email-masked]>
Date: 2021-05-08 04:42
To: IETF IPPM WG<mailto:[email-masked]>
Subject: Re: [ippm] I-D Action: draft-gandhi-ippm-stamp-srpm-03.txt
Hi IPPM,

Best,
Tommy

Hi WG,

Thanks,
Rakesh (for co-authors)

Abstract: